Update vagrant provision script with current install commands
authorVictor Grousset <victor@tuxayo.net>
Wed, 30 Dec 2015 23:31:44 +0000 (00:31 +0100)
committerVictor Grousset <victor@tuxayo.net>
Wed, 30 Dec 2015 23:31:44 +0000 (00:31 +0100)
From INSTALL.md

script/vagrant/setup/provision.sh

index 912a629..df2cfa9 100644 (file)
@@ -13,12 +13,12 @@ apt-get update
 apt-get upgrade -y
 
 # install packages as explained in INSTALL.md
-apt-get install -y ruby1.9.1 libruby1.9.1 ruby1.9.1-dev ri1.9.1 \
-    libmagickwand-dev libxml2-dev libxslt1-dev nodejs \
-    apache2 apache2-threaded-dev build-essential git-core \
-    postgresql postgresql-contrib libpq-dev postgresql-server-dev-all \
-    libsasl2-dev
-gem1.9.1 install bundle
+apt-get install -y ruby2.0 libruby2.0 ruby2.0-dev \
+                     libmagickwand-dev libxml2-dev libxslt1-dev nodejs \
+                     apache2 apache2-threaded-dev build-essential git-core \
+                     postgresql postgresql-contrib libpq-dev postgresql-server-dev-all \
+                     libsasl2-dev imagemagick
+gem2.0 install bundler
 
 ## install the bundle necessary for openstreetmap-website
 pushd /srv/openstreetmap-website